# Get sender for project

Returns a sender for a project.

Endpoint: GET /v1/projects/{projectId}/whatsapp/senders/{senderId}
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `senderId` (string, required)
    The unique ID of the sender.

## Response 200:

  - `200` (unknown)
    Sender

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique ID of the sender.

  - `state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `changes` (object)
    Any pending changes to the sender.

  - `changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `changes.details` (any)
    The pending changes to sender details and information

  - `changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `details` (object)
    Sender details and information.

  - `metadata` (object)
    Data about the current state of individual sender fields.

  - `metadata.username` (object)
    Approval status of the sender username.

  - `metadata.username.value` (string)
    Requested value of the field.

  - `metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `conversationApiAppDetails.id` (string, required)
    ID of the app

  - `conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `maxTps` (number)
    Maximum sender TPS.

  - `qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `countryCode` (string)
    Country code of sender phone number.

  - `phoneNumber` (string)
    Sender phone number without country code.

  - `numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_initialized

  - `message` (string)
    Human readable message.
    Example: Project not initialized for WhatsApp.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the project ID is correct and that it has been onboarded for WhatsApp.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: sender_not_found

  - `message` (string)
    Human readable message.
    Example: Sender not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `Get response` (unknown)
    Response with a sender.

